using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;

public class End : MonoBehaviour {
  public Sprite golemIcon;

  private float timer;

  // Start is called before the first frame update
  void Start() {
    UI.Instance.ShowTutorial("", "Development ended here. Thanks for playing!", golemIcon);
    timer = 5f;
  }

  void Update() {

    timer -= Time.deltaTime;
    if (timer < 0) {
      UI.Instance.FadeOutScene().OnComplete(() => Application.Quit());
    }
  }
}
